CREATE TABLE "V_HYDRANT" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOAT NOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255), `angle`  float);

CREATE TRIGGER [INSERT_ITEM_V_HYDRANT]
AFTER INSERT
ON [V_HYDRANT]
FOR EACH ROW
BEGIN
 INSERT INTO V_HYDRANTSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE TRIGGER [DELETE_ITEM_V_HYDRANT]
AFTER DELETE
ON [V_HYDRANT]
FOR EACH ROW
BEGIN
delete from V_HYDRANTSPATINDEX where old.id=V_HYDRANTSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_V_HYDRANT]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [V_HYDRANT]
FOR EACH ROW
BEGIN
 delete from V_HYDRANTSPATINDEX where old.id=V_HYDRANTSPATINDEX.id;
 INSERT INTO V_HYDRANTSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE VIRTUAL TABLE V_HYDRANTSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);

CREATE TABLE "V_UPRIP" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOAT NOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255), `jmeno`  text, `prijmeni`  text, `mesto`  text, `userdraw`  INTEGER);

CREATE TRIGGER [INSERT_ITEM_V_UPRIP]
AFTER INSERT
ON [V_UPRIP]
FOR EACH ROW
BEGIN
 INSERT INTO V_UPRIPSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE TRIGGER [DELETE_ITEM_V_UPRIP]
AFTER DELETE
ON [V_UPRIP]
FOR EACH ROW
BEGIN
delete from V_UPRIPSPATINDEX where old.id=V_UPRIPSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_V_UPRIP]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [V_UPRIP]
FOR EACH ROW
BEGIN
 delete from V_UPRIPSPATINDEX where old.id=V_UPRIPSPATINDEX.id;
 INSERT INTO V_UPRIPSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE VIRTUAL TABLE V_UPRIPSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);


CREATE TABLE "V_UZAVER" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOAT NOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255));

CREATE TRIGGER [INSERT_ITEM_V_UZAVER]
AFTER INSERT
ON [V_UZAVER]
FOR EACH ROW
BEGIN
 INSERT INTO V_UZAVERSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE TRIGGER [DELETE_ITEM_V_UZAVER]
AFTER DELETE
ON [V_UZAVER]
FOR EACH ROW
BEGIN
delete from V_UZAVERSPATINDEX where old.id=V_UZAVERSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_V_UZAVER]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [V_UZAVER]
FOR EACH ROW
BEGIN
 delete from V_UZAVERSPATINDEX where old.id=V_UZAVERSPATINDEX.id;
 INSERT INTO V_UZAVERSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE VIRTUAL TABLE V_UZAVERSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);



CREATE TABLE "V_UZEL" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOAT NOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255));

CREATE TRIGGER [INSERT_ITEM_V_UZEL]
AFTER INSERT
ON [V_UZEL]
FOR EACH ROW
BEGIN
 INSERT INTO V_UZELSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE TRIGGER [DELETE_ITEM_V_UZEL]
AFTER DELETE
ON [V_UZEL]
FOR EACH ROW
BEGIN
delete from V_UZELSPATINDEX where old.id=V_UZELSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_V_UZEL]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [V_UZEL]
FOR EACH ROW
BEGIN
 delete from V_UZELSPATINDEX where old.id=V_UZELSPATINDEX.id;
 INSERT INTO V_UZELSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE VIRTUAL TABLE V_UZELSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);


CREATE TABLE [V_TRASA] (
  [id] INTEGER NOT NULL PRIMARY KEY, 
  [geom] BLOB, 
  [xmin] FLOAT NOT NULL, 
  [ymin] FLOAT NOT NULL, 
  [xmax] FLOAT NOT NULL, 
  [ymax] FLOAT NOT NULL, 
  [rc] VARCHAR(255), 
  [Datum_vystavby] DATE, 
  [dim_prip] INTEGER, 
  [zakazka] integer, 
  [userdraw] INTEGER);

CREATE TRIGGER [INSERT_ITEM_V_TRASA]
AFTER INSERT
ON [V_TRASA]
FOR EACH ROW
BEGIN
 INSERT INTO V_TRASASPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE TRIGGER [DELETE_ITEM_V_TRASA]
AFTER DELETE
ON [V_TRASA]
FOR EACH ROW
BEGIN
delete from V_TRASASPATINDEX where old.id=V_TRASASPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_V_TRASA]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [V_TRASA]
FOR EACH ROW
BEGIN
 delete from V_TRASASPATINDEX where old.id=V_TRASASPATINDEX.id;
 INSERT INTO V_TRASASPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax); 
END;

CREATE VIRTUAL TABLE V_TRASASPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);



CREATE TABLE "demo_doc" ("ID" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, BLOB_TYPE VARCHAR(50),LABEL TEXT,BIRTH_DATE DATETIME,DOC BLOB,ID_GRAPHICS_ELEMENT INTEGER, `STRING_ID`  varchar(256));

CREATE TRIGGER demo_doc_insert_date AFTER INSERT ON demo_doc
BEGIN
UPDATE demo_doc SET BIRTH_DATE = DATETIME('NOW')  WHERE rowid = new.rowid;
UPDATE demo_doc SET STRING_ID = 'ID'||new.rowid WHERE rowid = new.rowid; 
END;
